# Get bidder

Get bidder by public key

```
GET /bidders/{public_key}?era_id={era_id}
```

## Query params

| Query param | Description                                                                                                                                         |
| ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------- |
| `era_id`    | Active auction era identifier. Data for older eras aren't persistent for long, and will eventually become unavailable. This is a required parameter |

## Sorting

None

## Optional properties

| Property                   | Type                                                                                        | Description                                                                                                            |
| -------------------------- | ------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------- |
| `account_info`             | [`AccountInfo`](https://docs.cspr.cloud/1.3.x/rest-api/account-info)                        | [Account info](https://github.com/make-software/casper-account-info-contract) provided by the bidder                   |
| `average_performance`      | [`ValidatorPerformance`](https://docs.cspr.cloud/1.3.x/rest-api/validator-performance)      | Moving average of validator performance based on the received rewards over the past 360 eras (approximately one month) |
| `centralized_account_info` | [`CentralizedAccountInfo`](https://docs.cspr.cloud/1.3.x/rest-api/centralized-account-info) | Account information available for known accounts provided by CSPR.cloud team                                           |
| `cspr_name`                | `string`                                                                                    | Primary CSPR.name of the account                                                                                       |

## Response

[`Bidder`](https://docs.cspr.cloud/1.3.x/rest-api/bidder)

## Example

{% hint style="info" %}
Since this API works only with recent eras, you'll need to replace the era ID with the latest one, which you can fetch using the [Get auction metrics API](https://docs.cspr.cloud/1.3.x/rest-api/auction-metrics/get-auction-metrics).
{% endhint %}

```bash
curl -X 'GET' \
  'https://api.testnet.cspr.cloud/bidders/0106ca7c39cd272dbf21a86eeb3b36b7c26e2e9b94af64292419f7862936bca2ca?era_id=12100' \
  -H 'accept: application/json' \
  -H 'authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'

```

```json
{
  "data": {
    "delegators_number": 326,
    "delegators_stake": 515236483487045440,
    "era_id": 12136,
    "fee": 15,
    "is_active": true,
    "network_share": "6.03",
    "public_key": "018f84c6fc037284f189cc8cb49f89212ff434a5eb050e48cdd164ff3890fbff69",
    "rank": 1,
    "self_share": "0.31",
    "self_stake": 1588933419545728,
    "total_stake": 516825416906591170
  }
}
```
